public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/poppler/files/, app-text/poppler/
Date: Thu, 14 May 2020 17:21:08 +0000 (UTC)	[thread overview]
Message-ID: <1589476846.37d716c1306ca3ee3877d4041c4cbfd9f4e1eecd.asturm@gentoo> (raw)

commit:     37d716c1306ca3ee3877d4041c4cbfd9f4e1eecd
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu May 14 16:54:48 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu May 14 17:20:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37d716c1

app-text/poppler: Fix pdfsig segfault

Reported-by: Michelangelo Scopelliti <kernelpanic <AT> gmx.it>
Closes: https://bugs.gentoo.org/721118
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../files/poppler-0.88.0-pdfsig-crash.patch        |  30 +++++
 app-text/poppler/poppler-0.88.0-r1.ebuild          | 124 +++++++++++++++++++++
 2 files changed, 154 insertions(+)

diff --git a/app-text/poppler/files/poppler-0.88.0-pdfsig-crash.patch b/app-text/poppler/files/poppler-0.88.0-pdfsig-crash.patch
new file mode 100644
index 00000000000..4f29727b6fc
--- /dev/null
+++ b/app-text/poppler/files/poppler-0.88.0-pdfsig-crash.patch
@@ -0,0 +1,30 @@
+From 5cdb78fde50e3dc16006070b0884dfb6b23d964c Mon Sep 17 00:00:00 2001
+From: Albert Astals Cid <aacid@kde.org>
+Date: Thu, 14 May 2020 00:22:33 +0200
+Subject: [PATCH] Fix crash in PDFDoc::getSignatureFields when there's no Forms
+ at all
+
+---
+ poppler/PDFDoc.cc | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/poppler/PDFDoc.cc b/poppler/PDFDoc.cc
+index 572c77be..4b5621fc 100644
+--- a/poppler/PDFDoc.cc
++++ b/poppler/PDFDoc.cc
+@@ -613,10 +613,12 @@ static void addSignatureFieldsToVector(FormField *ff, std::vector<FormFieldSigna
+ 
+ std::vector<FormFieldSignature*> PDFDoc::getSignatureFields()
+ {
+-//   const int num_pages = getNumPages();
+   std::vector<FormFieldSignature*> res;
+ 
+   const Form *f = catalog->getForm();
++  if (!f)
++      return res;
++
+   const int nRootFields = f->getNumFields();
+   for (int i = 0; i < nRootFields; ++i) {
+     FormField *ff = f->getRootField(i);
+-- 
+2.26.2

diff --git a/app-text/poppler/poppler-0.88.0-r1.ebuild b/app-text/poppler/poppler-0.88.0-r1.ebuild
new file mode 100644
index 00000000000..487596c917a
--- /dev/null
+++ b/app-text/poppler/poppler-0.88.0-r1.ebuild
@@ -0,0 +1,124 @@
+# Copyright 2005-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake toolchain-funcs xdg-utils
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://anongit.freedesktop.org/git/poppler/poppler.git"
+	SLOT="0/9999"
+else
+	SRC_URI="https://poppler.freedesktop.org/${P}.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+	SLOT="0/99"   # CHECK THIS WHEN BUMPING!!! SUBSLOT IS libpoppler.so SOVERSION
+fi
+
+DESCRIPTION="PDF rendering library based on the xpdf-3.0 code base"
+HOMEPAGE="https://poppler.freedesktop.org/"
+
+LICENSE="GPL-2"
+IUSE="cairo cjk curl +cxx debug doc +introspection +jpeg +jpeg2k +lcms nss png qt5 tiff +utils"
+
+# No test data provided
+RESTRICT="test"
+
+BDEPEND="
+	dev-util/glib-utils
+	virtual/pkgconfig
+"
+DEPEND="
+	media-libs/fontconfig
+	media-libs/freetype
+	sys-libs/zlib
+	cairo? (
+		dev-libs/glib:2
+		x11-libs/cairo
+		introspection? ( dev-libs/gobject-introspection:= )
+	)
+	curl? ( net-misc/curl )
+	jpeg? ( virtual/jpeg:0 )
+	jpeg2k? ( >=media-libs/openjpeg-2.3.0-r1:2= )
+	lcms? ( media-libs/lcms:2 )
+	nss? ( >=dev-libs/nss-3.19:0 )
+	png? ( media-libs/libpng:0= )
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtxml:5
+	)
+	tiff? ( media-libs/tiff:0 )
+"
+RDEPEND="${DEPEND}
+	cjk? ( app-text/poppler-data )
+"
+
+DOCS=( AUTHORS NEWS README.md README-XPDF )
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.60.1-qt5-dependencies.patch"
+	"${FILESDIR}/${PN}-0.28.1-fix-multilib-configuration.patch"
+	"${FILESDIR}/${PN}-0.82.0-respect-cflags.patch"
+	"${FILESDIR}/${PN}-0.61.0-respect-cflags.patch"
+	"${FILESDIR}/${PN}-0.57.0-disable-internal-jpx.patch"
+	"${FILESDIR}/${P}-pdfsig-crash.patch"
+)
+
+src_prepare() {
+	cmake_src_prepare
+
+	# Clang doesn't grok this flag, the configure nicely tests that, but
+	# cmake just uses it, so remove it if we use clang
+	if [[ ${CC} == clang ]] ; then
+		sed -e 's/-fno-check-new//' -i cmake/modules/PopplerMacros.cmake || die
+	fi
+
+	if ! grep -Fq 'cmake_policy(SET CMP0002 OLD)' CMakeLists.txt ; then
+		sed -e '/^cmake_minimum_required/acmake_policy(SET CMP0002 OLD)' \
+			-i CMakeLists.txt || die
+	else
+		einfo "policy(SET CMP0002 OLD) - workaround can be removed"
+	fi
+}
+
+src_configure() {
+	xdg_environment_reset
+	local mycmakeargs=(
+		-DBUILD_GTK_TESTS=OFF
+		-DBUILD_QT5_TESTS=OFF
+		-DBUILD_CPP_TESTS=OFF
+		-DRUN_GPERF_IF_PRESENT=OFF
+		-DENABLE_SPLASH=ON
+		-DENABLE_ZLIB=ON
+		-DENABLE_ZLIB_UNCOMPRESS=OFF
+		-DENABLE_UNSTABLE_API_ABI_HEADERS=ON
+		-DUSE_FLOAT=OFF
+		-DWITH_Cairo=$(usex cairo)
+		-DENABLE_LIBCURL=$(usex curl)
+		-DENABLE_CPP=$(usex cxx)
+		-DWITH_JPEG=$(usex jpeg)
+		-DENABLE_DCTDECODER=$(usex jpeg libjpeg none)
+		-DENABLE_LIBOPENJPEG=$(usex jpeg2k openjpeg2 none)
+		-DENABLE_CMS=$(usex lcms lcms2 none)
+		-DWITH_NSS3=$(usex nss)
+		-DWITH_PNG=$(usex png)
+		$(cmake_use_find_package qt5 Qt5Core)
+		-DWITH_TIFF=$(usex tiff)
+		-DENABLE_UTILS=$(usex utils)
+	)
+	use cairo && mycmakeargs+=( -DWITH_GObjectIntrospection=$(usex introspection) )
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	# live version doesn't provide html documentation
+	if use cairo && use doc && [[ ${PV} != *9999* ]]; then
+		# For now install gtk-doc there
+		insinto /usr/share/gtk-doc/html/poppler
+		doins -r "${S}"/glib/reference/html/*
+	fi
+}


             reply	other threads:[~2020-05-14 17:21 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-14 17:21 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-13 22:45 [gentoo-commits] repo/gentoo:master commit in: app-text/poppler/files/, app-text/poppler/ Andreas Sturmlechner
2024-01-18 16:45 Andreas Sturmlechner
2023-06-18 14:35 Andreas Sturmlechner
2022-02-05 20:46 Andreas Sturmlechner
2021-12-12 18:48 Sam James
2021-09-01 21:26 Sam James
2021-04-21 13:10 Lars Wendler
2021-04-06 11:06 Andreas Sturmlechner
2020-12-02 10:02 Lars Wendler
2019-09-01 20:43 Andreas Sturmlechner
2018-11-03 21:46 Andreas Sturmlechner
2018-01-09 10:15 Andreas Sturmlechner
2017-12-27 23:26 Andreas Sturmlechner
2017-12-04 14:29 Lars Wendler
2017-11-24 23:08 Andreas Sturmlechner
2017-11-24 23:08 Andreas Sturmlechner
2017-11-24 23:08 Andreas Sturmlechner
2017-11-13 10:23 Lars Wendler
2017-11-07 15:07 Lars Wendler
2017-11-06 15:29 Lars Wendler
2017-05-30 19:47 Andreas Hüttel
2017-05-10 15:12 Lars Wendler
2016-12-21 17:11 Johannes Huber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1589476846.37d716c1306ca3ee3877d4041c4cbfd9f4e1eecd.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox